{% extends 'index.twig' %}

{% block content %}
                    <section class="content">
                        <div class="page-title pad group">
                            <h2>Свяжитесь с нами. <span>Днепр, Украина</span></h2></div>
                        <div class="pad group">
                            <article class="group post-993 page type-page status-publish hentry">
                                <div class="entry themeform">
                                    <h3>Контактная информация</h3>
                                    {#<p>30 South Park Avenue, San Francisco, CA 94108, USA</p>#}
                                    <p><strong>Phone:</strong> (123) 456-7890
                                        <br />
                                        <strong>Fax:</strong> +08 (123) 456-7890
                                        <br />
                                        <strong>Email:</strong> furybrains.t@gmail.com
                                        <br />
                                        <strong>Web:</strong> furybrains.hol.es</p>
                                    <div class="hr"></div>
                                    <h3>Напишите нам:</h3>
                                    <div role="form" class="wpcf7" id="wpcf7-f5-p993-o1" lang="en-US" dir="ltr">
                                        <div class="screen-reader-response"></div>
                                        <form role="form" action="" method="GET" id="feedbackform" class="feedback-form" name="feedback-form">
                                            <div style="display: none;">
                                                <input type="hidden" name="_wpcf7" value="5" />
                                                <input type="hidden" name="_wpcf7_version" value="4.5.1" />
                                                <input type="hidden" name="_wpcf7_locale" value="en_US" />
                                                <input type="hidden" name="_wpcf7_unit_tag" value="wpcf7-f5-p993-o1" />
                                                <input type="hidden" name="_wpnonce" value="412c0bc981" />
                                            </div>
                                            <p>Ваше имя (обязательно)
                                                <br />
                                                    <span class="wpcf7-form-control-wrap your-name">
                                                        <input type="text" name="your-name" value="" size="40" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required" aria-required="true" aria-invalid="false" /></span></p>
                                            <p>Ваш email (обязательно)
                                                <br />
                                                    <span class="wpcf7-form-control-wrap your-email">
                                                        <input type="email" name="your-email" value="" size="40" class="wpcf7-form-control wpcf7-text wpcf7-email wpcf7-validates-as-required wpcf7-validates-as-email" aria-required="true" aria-invalid="false" /></span></p>
                                            <p>Тема сообщения
                                                <br />
                                                    <span class="wpcf7-form-control-wrap your-subject"><input
                                                                type="text" name="your-subject" value="" size="40" class="wpcf7-form-control wpcf7-text" aria-invalid="false" /></span></p>
                                            <p>Ваше сообщение
                                                <br />
                                                <span class="wpcf7-form-control-wrap your-message">
                                                    <textarea name="your-message" cols="40" rows="10" class="wpcf7-form-control wpcf7-textarea" aria-invalid="false"></textarea></span></p>
                                            <p>
                                            <div id="message">
                                            </div><br>
                                                <button class="more-bottom" type="button" id="submit"  name="submit">
                                                        Отправить
                                                </button>
                                            <div class="progress" style="display: none">
                                                <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                                </div>
                                            </div>
                                            <div class="wpcf7-response-output wpcf7-display-none"></div>
                                        </form>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </article>
                        </div>
                    </section>
    <script>

        $(document).ready(function(){
            $(document).ajaxStart(function(){
                $(".progress").css("display", "block");
                $(".more-bottom").css("visibility", "hidden");
            });
            $(document).ajaxComplete(function(){
                $(".progress").css("display", "none");
                $(".more-bottom").css("visibility", "visible");
            });
            $("#submit").click(function(){
                var name = document.forms["feedback-form"]["your-name"].value;
                var email = document.forms["feedback-form"]["your-email"].value;
                var subject = document.forms["feedback-form"]["your-subject"].value;
                var message = document.forms["feedback-form"]["your-message"].value;
                $.ajax({
                    url: 'feedback-send',
                    type : 'POST',
                    data: {
                        name: name,
                        email: email,
                        subject: subject,
                        message: message
                    },
                    error: function(){
                        console.log("Error in ajax request");
                    },
                    success: function(data)
                    {
                        console.log("Success of ajax request");
                        console.log(data);
                        $("#message").html(data);
                    }
                });
            });
        });

    </script>

    {% include "partials/left-block.twig" %}
    {% include "partials/right-block.twig" %}
{% endblock %}

